GTPin

- Main Page
- Related Pages
- Modules
- Data Structures

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
gtpin::GtCoreString Class Reference
GTPin: Core Services

C string allocated in the GTPin core storage and managed by UniquePtr. More...

`#include <igt_core.h>`

## Public Member Functions
| GtCoreString () noexcept
| Default constructor.
| GtCoreString (GtCoreString &&) noexcept
| Move constructor.
| GtCoreString (UniquePtr< char, GtCoreMemDeleter > &&cstr) noexcept
| Construct a GtCoreString object for a given C string 'cstr' which is allocated in the GTPin core storage.
const char * | Get () const noexcept
| Return constant C string managed by this object.
| operator std::string () const noexcept
| Convert this object to std::string.
bool | IsEmpty () const noexcept
void | Swap (GtCoreString &str) noexcept
| Swap managed C strings.
void | Reset () noexcept
| Delete the managed C string.

## Detailed Description

C string allocated in the GTPin core storage and managed by UniquePtr.

## Member Function Documentation

bool gtpin::GtCoreString::IsEmpty | ( |  | ) | const`[inline]`

Returns:
  true for empty string

All Data Structures Functions Variables Typedefs Enumerations Enumerator

      Copyright (C) 2013-2025 Intel Corporation

      SPDX-License-Identifier: MIT